@echo off

set path_back=%PATH%
set PATH=..\bin

if exist *.o (
	del /Q *.o > nul
)
if exist *.ihx (
	del /Q *.ihx > nul
)
if exist *.map (
	del /Q *.map > nul
)
if exist *.bin (
	del /Q *.bin > nul
)

echo [ASSEMBLE] sca_player.asm
as-z80 -o sca_player.o sca_player.asm

echo [ASSEMBLE] sca_shot.asm
as-z80 -o sca_shot.o sca_shot.asm

echo [ASSEMBLE] test_main.asm
as-z80 -o test_main.o test_main.asm

echo [LINK] chapter2.ihx
link-z80 -nf chapter2.link

echo [BSAVE] chapter2.bin
ihx2bin chapter2.ihx chapter2.bin > nul

set PATH=%path_back%
pause
